Namespace Methods.GlobalIndexer
    Public MustInherit Class BaseIndex
        Public Id As Integer
        Public Name As String
        Public ProfileId As Integer

        Public SQLCommand As String
        Public SQLConnectionId As Integer

        Public Sequence As Integer = 0

        Public Function HasSqlCommand() As Boolean
            Return Not (
                SQLCommand Is Nothing OrElse
                SQLCommand = String.Empty OrElse
                SQLConnectionId < 0
            )
        End Function
    End Class

End Namespace